#ifndef MULTILTHREAD_H
#define MULTILTHREAD_H
#include <QObject>
#include<QMutex>
#include <QWaitCondition>
class Multithread:public QObject
{
    Q_OBJECT
public:
     Multithread(QObject *parent = 0);
    void requestThread();
    void abort();
    void resume();
private:
    bool _abort;
    bool _working;
    QMutex mutex;
    QWaitCondition pauseContd;

signals:
   void multithreadRequested();
   void valueChanged(const QString &value);
   void finished();
   void value();

public slots:
   void doMultithread();


};

#endif // MULTILTHREAD_H
