#ifndef SINEWAVE_H
#define SINEWAVE_H

#include <QMainWindow>
#include"multilthread.h"
#include"sinewave.h"
namespace Ui {
class sinewave;
}

class sinewave : public QMainWindow
{
    Q_OBJECT

public:
    qreal amplitude;
    qreal time;
    qreal X1 ;//X Cordinate
    qreal Y1;  //Y cordinate
    int sineCount;
    int lblCount;

    explicit sinewave(QWidget *parent = 0);
    ~sinewave();
protected:

    void changeEvent(QEvent *e);
    void paintEvent(QPaintEvent *);
private slots:
    void on_pushButtonStart_clicked();

    void on_actionStart_triggered();

    void on_actionPause_triggered();
    void display();

private:
    Ui::sinewave *ui;
    QThread *thread;
    Multithread *multithread;
};

#endif // SINEWAVE_H
