#include "multilthread.h"
#include "sinewave.h"
#include<QTimer>
#include<QEventLoop>
#include<QDebug>
#include<QThread>
#include<QMutex>
Multithread::Multithread(QObject *parent):
QObject(parent)
{
    _working=false;
    _abort=false;
}
void Multithread::requestThread()
{
    mutex.lock();
        _working = true;
        _abort = false;
        qDebug()<<thread()->currentThreadId();
        mutex.unlock();

        emit multithreadRequested();
}
void Multithread::resume()
{
    mutex.lock();
    if(!_working)
    {
    _abort = true;
    qDebug()<<thread()->currentThreadId();
    }
    mutex.unlock();
    pauseContd.wakeAll();
    emit resume();

}
void Multithread::abort()
{
    mutex.lock();
       if (_working) {
           _abort = true;
           qDebug()<<thread()->currentThreadId();
       }
       mutex.unlock();
}
void Multithread::doMultithread()
{
    qDebug()<<thread()->currentThreadId();


       long int iCounter=0;
       while(true)
       {
           iCounter++;
           int a=iCounter;
           //emit
           if(a!=0)
                   {
                      emit value();
                   }
           mutex.lock();
           bool abort = _abort;
           mutex.unlock();

           if (abort) {
               qDebug()<<thread()->currentThreadId();
               break;
           }

           QEventLoop loop;
           QTimer::singleShot(500, &loop, SLOT(quit()));
           loop.exec();
           emit valueChanged(QString::number(iCounter));
           if(iCounter==5)
           {
               iCounter=2;
           }
       }
       mutex.lock();
       _working = false;
       mutex.unlock();

       qDebug()<<thread()->currentThreadId();

       emit finished();
}
